int dateParser(String rawDate){
  String[] subString = rawDate.split("-");
  int daysSinceStartYear = (int(subString[0]) - startYear)*365 + (int(subString[1])-1)*30 + int(subString[2]);
  return daysSinceStartYear;
}

int timeParser(String rawTime){
  String[] subString = rawTime.split(":");
  int minutesSinceMidnight = int(subString[0])*60 + int(subString[1]);
  return minutesSinceMidnight;
}

color getColor(int bib){
  colorMode(HSB);
  float h = map(bibNumbers.indexOf(bib),0,bibNumbers.size(),0,255);
  return color(h,200,200);
}

float getPoly(float index){
  float poly = 0;
    for(int n=0; n<8;n++){
      poly+= coefficients[n]*Math.pow(index,n);
    }
    float m = map(poly,260,886,0.7,2);
    return m;
}
